namespace SpreadNetQuickStart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            splitContainer1.SplitterDistance = 23;
        }

        private void fpSpread1_CellClick(object sender, FarPoint.Win.Spread.CellClickEventArgs e)
        {

        }

        private string mFileName = null;

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM";
            ofd.FilterIndex = 0;
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                mFileName = ofd.FileName;
                fpSpread1.OpenExcel(mFileName);
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpread1.SaveExcel(mFileName);
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM";
            sfd.FilterIndex = 0;
            sfd.FileName = mFileName;
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                mFileName = sfd.FileName;
                fpSpread1.SaveExcel(mFileName);
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void designToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpreadDesigner1.ShowDialog(fpSpread1);
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult ret = MessageBox.Show("Do you want to save this file before closing?", "Save Spreadsheet", MessageBoxButtons.YesNoCancel);
            if (ret == DialogResult.Cancel)
                return;
            else if (ret == DialogResult.Yes)
                saveToolStripMenuItem_Click(this, EventArgs.Empty);
            Close();
        }
    }
}